<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__ble__service__api___l_n_s__definitions" kind="group">
    <compoundname>group_ble_service_api_LNS_definitions</compoundname>
    <title>LNS Definitions and Data Structures</title>
    <innerclass prot="public" refid="structcy__stc__ble__lnss__char__t">cy_stc_ble_lnss_char_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__lnss__t">cy_stc_ble_lnss_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__lnsc__char__t">cy_stc_ble_lnsc_char_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__lnsc__t">cy_stc_ble_lnsc_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__lns__char__value__t">cy_stc_ble_lns_char_value_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__lns__descr__value__t">cy_stc_ble_lns_descr_value_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__lnss__config__t">cy_stc_ble_lnss_config_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__lnsc__config__t">cy_stc_ble_lnsc_config_t</innerclass>
      <sectiondef kind="enum">
      <memberdef id="group__group__ble__service__api___l_n_s__definitions_1ga40dd2ca17314a10781fce9861be02376" kind="enum" prot="public" static="no">
        <name>cy_en_ble_lns_char_index_t</name>
        <enumvalue id="group__group__ble__service__api___l_n_s__definitions_1gga40dd2ca17314a10781fce9861be02376aea429ad07bbd30b8cb2cce3f120077ab" prot="public">
          <name>CY_BLE_LNS_FT</name>
          <briefdescription>
<para>Location and Navigation Feature Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___l_n_s__definitions_1gga40dd2ca17314a10781fce9861be02376adbd845bc7fbf103693e99f3591a37ae1" prot="public">
          <name>CY_BLE_LNS_LS</name>
          <briefdescription>
<para>Location and Speed Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___l_n_s__definitions_1gga40dd2ca17314a10781fce9861be02376ab3b9e63d4d1a566a8d5b33a2e83f96c2" prot="public">
          <name>CY_BLE_LNS_PQ</name>
          <briefdescription>
<para>Position Quality Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___l_n_s__definitions_1gga40dd2ca17314a10781fce9861be02376a179c0d08eb05f3cfdff49a77ba59710a" prot="public">
          <name>CY_BLE_LNS_CP</name>
          <briefdescription>
<para>Location and Navigation Control Point Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___l_n_s__definitions_1gga40dd2ca17314a10781fce9861be02376a8296f6c4d9caf518d9f0b5eacfad6860" prot="public">
          <name>CY_BLE_LNS_NV</name>
          <briefdescription>
<para>Navigation Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___l_n_s__definitions_1gga40dd2ca17314a10781fce9861be02376a4b267502abfc99e4f1d7a36b77516763" prot="public">
          <name>CY_BLE_LNS_CHAR_COUNT</name>
          <briefdescription>
<para>Total Count of LNS Characteristics. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_lns_char_index_t: </bold><linebreak />LNS Service Characteristics indexes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="53" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_lns.h" bodystart="45" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_lns.h" line="46" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___l_n_s__definitions_1gaaee839ff96fd439832fd2bc674ce252b" kind="enum" prot="public" static="no">
        <name>cy_en_ble_lns_descr_index_t</name>
        <enumvalue id="group__group__ble__service__api___l_n_s__definitions_1ggaaee839ff96fd439832fd2bc674ce252ba09c5c2bf51e62fb71480d61b37cb3340" prot="public">
          <name>CY_BLE_LNS_CCCD</name>
          <briefdescription>
<para>Client Characteristic Configuration descriptor index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___l_n_s__definitions_1ggaaee839ff96fd439832fd2bc674ce252ba5092955a81bf5229b7d628e23d6dee1c" prot="public">
          <name>CY_BLE_LNS_DESCR_COUNT</name>
          <briefdescription>
<para>Total Count of LNS descriptors. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_lns_descr_index_t: </bold><linebreak />LNS Service Characteristic Descriptors indexes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="60" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_lns.h" bodystart="56" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_lns.h" line="57" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Contains the LNS specific definitions and data structures used in the LNS API. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>